#
# spec file for package polkit-qt-1
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define debug_package_requires libpolkit-qt-1-0 = %{version}-%{release}

Name:           polkit-qt-1
Version:        0.103.0
Release:        7.4
Summary:        PolicyKit Library Qt Bindings
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/
# ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/
Source0:        ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM fixed-reference-counting-of-GObjects.patch (kde#257802, kde#286935, kde#291977, kde#307323)
Patch0:         fixed-reference-counting-of-GObjects.patch
# PATCH-FIX-UPSTREAM fixed-GCancellable-handling-in-PolkitQtListener.patch (kde#270489)
Patch1:         fixed-GCancellable-handling-in-PolkitQtListener.patch
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqt4-devel
BuildRequires:  polkit-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Polkit-qt-1 aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.

%package -n libpolkit-qt-1-1
Summary:        PolicyKit Library Qt Bindings
Group:          Development/Libraries/KDE
Provides:       libpolkit-qt0 = 0.9.3
Obsoletes:      libpolkit-qt0 < 0.9.3

%description -n libpolkit-qt-1-1
Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.

%package -n libpolkit-qt-1-devel
Summary:        PolicyKit Library Qt Bindings
Group:          Development/Libraries/KDE
Requires:       libpolkit-qt-1-1 = %{version}
Requires:       polkit-devel
Provides:       libpolkit-qt-devel = 0.9.3
Obsoletes:      libpolkit-qt-devel < 0.9.3

%description -n libpolkit-qt-1-devel
Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install

%post -n libpolkit-qt-1-1 -p /sbin/ldconfig

%postun -n libpolkit-qt-1-1 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libpolkit-qt-1-devel
%defattr(-,root,root)
%doc AUTHORS README
%{_kde4_includedir}/polkit-qt-1/
%{_kde4_libdir}/pkgconfig/polkit-qt*
%{_kde4_libdir}/libpolkit-qt-gui-1.so
%{_kde4_libdir}/libpolkit-qt-core-1.so
%{_kde4_libdir}/libpolkit-qt-agent-1.so
%{_kde4_libdir}/cmake/PolkitQt-1/

%files -n libpolkit-qt-1-1
%defattr(-,root,root)
%{_kde4_libdir}/libpolkit-qt-gui-1.so.*
%{_kde4_libdir}/libpolkit-qt-core-1.so.*
%{_kde4_libdir}/libpolkit-qt-agent-1.so.*

%changelog
* Tue Jul 16 2013 hrvoje.senjan@gmail.com
- Update to 0.103.0
  * Bugfix release, contains previously included patches
- Droped ck-avoid-crash.diff and d3c337da.patch, included in this
  release
- Added fixed-GCancellable-handling-in-PolkitQtListener.patch and
  fixed-reference-counting-of-GObjects.patch from upstream
  (kde#257802, kde#286935, kde#291977, kde#307323, kde#270489)
* Mon Dec 12 2011 idonmez@suse.com
- Add git commit d3c337da to fix kde#258916
* Thu Aug 11 2011 toddrme2178@gmail.com
- Removed self-obsoletes (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Tue Jun 28 2011 lnussel@suse.de
- devel package must depend on polkit-devel nowadays
* Fri Jun 10 2011 dmueller@suse.de
- fix crash when ConsoleKit is unavailable
* Mon Apr 18 2011 ro@suse.de
- fix baselibs.conf
* Sat Dec 18 2010 tittiatcoke@gmail.com
- Change the specfile to build according openSUSE standards
* Fri Dec 17 2010 tittiatcoke@gmail.com
- Enable build for 11.2 and 11.3 in compatibility mode. 0.99.1 has
  became a requirement for KDE 4.6
* Thu Dec  9 2010 tittiatcoke@gmail.com
- update to 0.99.1
  - Introduction of a compatibility mode for older PolicyKit version
* Tue Oct 26 2010 tittiatcoke@gmail.com
- update to 0.98.1
* Sat Jul 17 2010 dmueller@suse.de
- fix pedantic warnings
* Wed Jul 14 2010 dmueller@suse.de
- update to polkit-qt-1 0.96.1:
  * various code cleaning changes (foreach->Q_FOREACH)
  * merged upstreamed patch
* Thu Jul  8 2010 dmueller@suse.de
- update buildrequires
* Wed Feb 24 2010 llunak@novell.com
- fix build error due to missing return statement
* Sat Jan  9 2010 dmueller@suse.de
- fix baselibs.conf
* Sat Jan  2 2010 dmueller@suse.de
- add missing provides/obsoletes due to the package rename
* Wed Dec 23 2009 wstephenson@novell.com
- package rename polkit-qt to polkit-qt-1
- update to 0.95.1:
  * Initial port to PolicyKit-1
* Mon Sep 21 2009 ro@suse.de
- add baselibs.conf
* Tue May 19 2009 dmueller@suse.de
- fix debug package requires
* Sat May 16 2009 coolo@suse.de
- fix requires of devel package
* Thu May 14 2009 dmueller@suse.de
- spec file cleanups
* Thu Apr 30 2009 Matt Williams <matt@milliams.com>
- Initial build of polkit-qt
